#!/bin/sh
########################################################################
# File:           publicfiles/fixsievebug.sh                           #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@fourier-group.de>       #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

#
# call with daily cron job:
# find /usr/sieve -name default.script -exec /usr/local/sbin/mylinux/fixsievebug.sh {} \;
# see script daily.sh too
#

PATHTOSCRIPT=`dirname $1`
if [ ! -e $PATHTOSCRIPT/default ]
then
  ln -s $PATHTOSCRIPT/default.script $PATHTOSCRIPT/default
  echo linking
else
  echo no linking $PATHTOSCRIPT
fi
